> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/sdn/pricing/queryprivateconnectprice.md).

# QueryPrivateConnectPrice

## 1. 接口描述

本接口(QueryPrivateConnectPrice)用于二层网络专线询价。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称          | 必选 | 类型                                                                                              | 描述                                                                            |
| ------------- | -- | ----------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------- |
| internetType  | 是  | [InternetType](/api-reference/cn/sdn/datastructure.md#internettype)                             | <p>网络计费类型。</p><p>默认值为ByBandwidth。</p><p>默认值：ByBandwidth</p>                   |
| bandwidthMbps | 是  | Integer                                                                                         | <p>二层网络专线的最大带宽限制。</p><p>默认值是10，单位：Mbps。</p><p>可选值范围：\[10, +)</p><p>默认值：10</p> |
| endpointA     | 是  | [PrivateConnectEndpointInfo](/api-reference/cn/sdn/datastructure.md#privateconnectendpointinfo) | 二层网络专线A端连接点信息。                                                                |
| endpointZ     | 是  | [PrivateConnectEndpointInfo](/api-reference/cn/sdn/datastructure.md#privateconnectendpointinfo) | 二层网络专线Z端连接点信息。                                                                |

## 3. 响应结果

| 参数名称           | 类型                                                                                                | 描述                                                       |
| -------------- | ------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId      | String                                                                                            | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| endpointAPrice | [PrivateConnectEndpointPrice](/api-reference/cn/sdn/datastructure.md#privateconnectendpointprice) | 二层网络专线A端连接点价格信息。                                         |
| endpointZPrice | [PrivateConnectEndpointPrice](/api-reference/cn/sdn/datastructure.md#privateconnectendpointprice) | 二层网络专线Z端连接点价格信息。                                         |
| price          | [PriceItem](/api-reference/cn/sdn/datastructure.md#priceitem)                                     | 价格信息。                                                    |
| stock          | Integer                                                                                           | 可用库存数量。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 对1个二层网络专线进行询价,带宽为10Mbps,A端为数据中心端口,Z端为公有云。**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryPrivateConnectBandwidthPrice
<Common Request Params>

Request：
{
    "internetType": "ByBandwidth",
    "bandwidthMbps": 50,
    "endpointA": {
        "dcId": "822b9bd9-44f0-4279-a64d-568f5bc4a77b",
        "portType": "10G",
        "buildCrossConnectWithAssisted": true
    },
    "endpointZ": {
        "cloudType": "AWS",
        "dcId": "AMS1",
        "bandwidthMbps": 50,
        "vlanId": 1000,
        "cloudRegionId": null
    }
}

Response：
{
    "requestId": "T746CA1D1-339E-4344-939F-E089ABD246B7",
    "response": {
        "price": {
            "unitPrice": 27.750000,
            "originalPrice": null,
            "discountPrice": null,
            "discount": 100,
            "stepPrices": null,
            "discountUnitPrice": 27.750000,
            "chargeUnit": "DAY",
            "amountUnit": null
        },
        "requestId": "T746CA1D1-339E-4344-939F-E089ABD246B7",
        "endpointAPrice": {
            "crossConnectOneTimeConstructionPrice": {
                "unitPrice": 500.000000,
                "originalPrice": null,
                "discountPrice": null,
                "discount": null,
                "stepPrices": null,
                "discountUnitPrice": 500.000000,
                "chargeUnit": "MONTH",
                "amountUnit": null
            },
            "price": {
                "unitPrice": 0.550000,
                "originalPrice": null,
                "discountPrice": null,
                "discount": 100,
                "stepPrices": null,
                "discountUnitPrice": 0.550000,
                "chargeUnit": "DAY",
                "amountUnit": null
            },
            "stock": 11,
            "crossConnectPrice": {
                "unitPrice": 15.000000,
                "originalPrice": null,
                "discountPrice": null,
                "discount": 100,
                "stepPrices": null,
                "discountUnitPrice": 15.000000,
                "chargeUnit": "MONTH",
                "amountUnit": null
            }
        },
        "endpointZPrice": {
            "crossConnectOneTimeConstructionPrice": null,
            "price": {
                "unitPrice": 5.000000,
                "originalPrice": null,
                "discountPrice": null,
                "discount": 100,
                "stepPrices": null,
                "discountUnitPrice": 5.000000,
                "chargeUnit": "DAY",
                "amountUnit": null
            },
            "stock": null,
            "crossConnectPrice": null
        },
        "stock": 5000
    }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                     | 说明             |
| ------- | --------------------------------------- | -------------- |
| 404     | INVALID\_DATACENTER\_NOT\_FOUND         | 指定的数据中心不存在。    |
| 400     | INVALID\_PRIVATE\_CONNECT\_NOT\_SUPPORT | 暂不支持该二层网络专线组合。 |
